aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-12-19 03:22:20 +0000
committerZac Medico <zmedico@gentoo.org>2009-12-19 03:22:20 +0000
commitd838bd5dd63892b962858ff08ace5fcc0f2d418f (patch)
tree11ba0ccb56c08dc7baa361391ee2b976b8f556a9 /bin/isolated-functions.sh
parentUse portage.writemsg for lazy portage.util import. (diff)
downloadportage-d838bd5dd63892b962858ff08ace5fcc0f2d418f.tar.gz
portage-d838bd5dd63892b962858ff08ace5fcc0f2d418f.tar.bz2
portage-d838bd5dd63892b962858ff08ace5fcc0f2d418f.zip
Fix the assert alias to 'value to great for base' messages in some cases.
Thanks to Jonathan Callen <abcd@g.o> for reporting. svn path=/main/trunk/; revision=15119
Diffstat (limited to 'bin/isolated-functions.sh')
-rwxr-xr-xbin/isolated-functions.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/isolated-functions.sh b/bin/isolated-functions.sh
index 893ce57ba..719e32fae 100755
--- a/bin/isolated-functions.sh
+++ b/bin/isolated-functions.sh
@@ -5,7 +5,7 @@
# We need this next line for "die" and "assert". It expands
# It _must_ preceed all the calls to die and assert.
shopt -s expand_aliases
-alias assert='_pipestatus="${PIPESTATUS[*]}"; [[ "${_pipestatus// /}" -eq 0 ]] || die'
+alias assert='for _pipestatus in ${PIPESTATUS[*]} ; do [ $_pipestatus -eq 0 ] || die ; done'
alias save_IFS='[ "${IFS:-unset}" != "unset" ] && old_IFS="${IFS}"'
alias restore_IFS='if [ "${old_IFS:-unset}" != "unset" ]; then IFS="${old_IFS}"; unset old_IFS; else unset IFS; fi'